Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224050 - RFE: define octave(api) in spec
Summary: RFE: define octave(api) in spec
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: octave
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Quentin Spencer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-23 20:26 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.9.9-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-20 18:02:17 UTC


Attachments (Terms of Use)
Patch to add octave(api) (deleted)
2007-01-23 20:26 UTC, Orion Poplawski
no flags Details | Diff

Description Orion Poplawski 2007-01-23 20:26:28 UTC
Whenever the octave api changes, all packages built against octave need to get
rebuilt, but this is currently not detected until someone runs the application.
 The attached patch add the octave(api) provides so that packages built against
octave can require a certain version and changes can be detected by repo closure.

Packages built against octave can then use:

%{!?octave_api: %define octave_api %(octave-config -p API_VERSION || echo 0)}

Requires:       octave(api) = %{octave_api}

to explicitly state their requirement.

Comment 1 Orion Poplawski 2007-01-23 20:26:28 UTC
Created attachment 146349 [details]
Patch to add octave(api)

Comment 2 Quentin Spencer 2007-02-20 18:02:17 UTC
I have just rebuilt the devel branch of octave with this feature added. I
haven't yet decided whether to add this to FC-6 or FC-5 branches, but I'll add a
notification here if I do.


Note You need to log in before you can comment on or make changes to this bug.